module Thumbnailable
  extend ActiveSupport::Concern

  included do
    has_attached_file :thumbnail, styles: { medium: '530x300', small: '250x140' }, default_url: ''
    validates_attachment_content_type :thumbnail, content_type: ['image/jpg', 'image/jpeg', 'image/png', 'image/gif']
  end
end
