class UserSerializer < ActiveModel::Serializer
  cache key: 'user', expires_in: 4.hours, except: [ :complained ]

  def complained
    object.complained? current_user
  end

  attributes :id, :email, :provider, :name, :description, :role_ids, :institution_ids, :avatar, :likes_count, :complained, :follows_count, :learning_objects_count, :collections_count, :created_at, :updated_at
end
