class CreateShares < ActiveRecord::Migration[4.2]
  def change
    create_table :shares do |t|
      t.references :shareable, polymorphic: true, index: true

      t.references :user, index: true

      t.timestamps null: false
    end
    add_foreign_key :shares, :users
  end
end
