class CreateScores < ActiveRecord::Migration[4.2]
  def change
    create_table :scores do |t|
      t.string :name
      t.string :code
      t.float :weight
      t.boolean :active, default: true

      t.timestamps null: false
    end
    add_index :scores, :code, unique: true
  end
end
